### Method

# PangoOT Buffer get_glyphs

#### Declaration [src]

    void
    pango_ot_buffer_get_glyphs (
      const PangoOTBuffer* buffer,
      PangoOTGlyph** glyphs,
      int* n_glyphs
    )

#### Description [src]

Gets the glyph array contained in a `PangoOTBuffer`.

The glyphs are owned by the buffer and should not be freed, and are only valid as long as buffer is not modified.

Available since: | 1.4

#### Parameters

`glyphs` | An array of `PangoOTGlyph`
| Location to store the array of glyphs.
| The argument will be set by the function.
| The argument can be `NULL`.
| The length of the array is specified in the `n_glyphs` argument.
| The instance takes ownership of the data, and is responsible for freeing it.
`n_glyphs` | `int*`
| Location to store the number of glyphs.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.